# eric4.UI.FindFileNameDialog

Module implementing a dialog to search for files.

### Global Attributes

None

### Classes

FindFileNameDialog | Class implementing a dialog to search for files.

### Functions

None

## FindFileNameDialog

Class implementing a dialog to search for files.

The occurrences found are displayed in a QTreeWidget showing the filename and the pathname. The file will be opened upon a double click onto the respective entry of the list.

### Signals

designerFile(string)
  emitted to open a Qt-Designer file
sourceFile(string)
  emitted to open a file in the editor

### Derived from

QWidget, Ui_FindFileNameDialog

### Class Attributes

None

### Class Methods

None

### Methods

FindFileNameDialog | Constructor
__openFile | Private slot to open a file.
__searchFile | Private slot to handle the search.
checkStop | Public method to check, if the search should be stopped.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_fileExtEdit_textChanged | Private slot to handle the textChanged signal of the file extension edit.
on_fileList_itemActivated | Private slot to handle the double click on a file item.
on_fileNameEdit_textChanged | Private slot to handle the textChanged signal of the file name edit.
on_projectCheckBox_toggled | Private slot to handle the toggled signal of the project checkbox.
on_searchDirButton_clicked | Private slot to handle the clicked signal of the search directory selection button.
on_searchDirCheckBox_toggled | Private slot to handle the toggled signal of the search directory checkbox.
on_searchDirEdit_textChanged | Private slot to handle the textChanged signal of the search directory edit.
on_syspathCheckBox_toggled | Private slot to handle the toggled signal of the sys.path checkbox.
show | Overwritten method to enable/disable the project checkbox.

### Static Methods

None

#### FindFileNameDialog (Constructor)

FindFileNameDialog(project, parent = None)

Constructor

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)

#### FindFileNameDialog.__openFile

__openFile()

Private slot to open a file.

It emits the signal sourceFile or designerFile depending on the file extension.

#### FindFileNameDialog.__searchFile

__searchFile()

Private slot to handle the search.

#### FindFileNameDialog.checkStop

checkStop()

Public method to check, if the search should be stopped.

Returns:
  flag indicating the search should be stopped (boolean)

#### FindFileNameDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### FindFileNameDialog.on_fileExtEdit_textChanged

on_fileExtEdit_textChanged(text)

Private slot to handle the textChanged signal of the file extension edit.

text
  (ignored)

#### FindFileNameDialog.on_fileList_itemActivated

on_fileList_itemActivated(itm, column)

Private slot to handle the double click on a file item.

It emits the signal sourceFile or designerFile depending on the file extension.

itm
  the double clicked listview item (QTreeWidgetItem)
column
  column that was double clicked (integer) (ignored)

#### FindFileNameDialog.on_fileNameEdit_textChanged

on_fileNameEdit_textChanged(text)

Private slot to handle the textChanged signal of the file name edit.

text
  (ignored)

#### FindFileNameDialog.on_projectCheckBox_toggled

on_projectCheckBox_toggled(checked)

Private slot to handle the toggled signal of the project checkbox.

checked
  flag indicating the state of the checkbox (boolean)

#### FindFileNameDialog.on_searchDirButton_clicked

on_searchDirButton_clicked()

Private slot to handle the clicked signal of the search directory selection button.

#### FindFileNameDialog.on_searchDirCheckBox_toggled

on_searchDirCheckBox_toggled(checked)

Private slot to handle the toggled signal of the search directory checkbox.

checked
  flag indicating the state of the checkbox (boolean)

#### FindFileNameDialog.on_searchDirEdit_textChanged

on_searchDirEdit_textChanged(text)

Private slot to handle the textChanged signal of the search directory edit.

text
  (ignored)

#### FindFileNameDialog.on_syspathCheckBox_toggled

on_syspathCheckBox_toggled(checked)

Private slot to handle the toggled signal of the sys.path checkbox.

checked
  flag indicating the state of the checkbox (boolean)

#### FindFileNameDialog.show

show()

Overwritten method to enable/disable the project checkbox.

Up